Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeRegionsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeRegionsResult

    public class DescribeRegionsResult

extends Object

The result of describing the available Amazon EC2 regions.

Constructor Summary
`DescribeRegionsResult()`

Method Summary
`List<Region>` | `getRegions()` The list of described Amazon EC2 regions.
`void` | `setRegions(Collection<Region> regions)` The list of described Amazon EC2 regions.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeRegionsResult` | `withRegions(Collection<Region> regions)` The list of described Amazon EC2 regions.
`DescribeRegionsResult` | `withRegions(Region... regions)` The list of described Amazon EC2 regions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeRegionsResult

    public DescribeRegionsResult()

Method Detail

### getRegions

    public List<Region> getRegions()

  The list of described Amazon EC2 regions.

  Returns:
    The list of described Amazon EC2 regions.

### setRegions

    public void setRegions(Collection<Region> regions)

  The list of described Amazon EC2 regions.

  Parameters:
    `regions` - The list of described Amazon EC2 regions.

### withRegions

    public DescribeRegionsResult withRegions(Region... regions)

  The list of described Amazon EC2 regions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `regions` - The list of described Amazon EC2 regions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withRegions

    public DescribeRegionsResult withRegions(Collection<Region> regions)

  The list of described Amazon EC2 regions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `regions` - The list of described Amazon EC2 regions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.